<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="author" content="irstheme">

    <title>Customers</title>

    <!--    <link href="assets/css/themify-icons.css" rel="stylesheet">-->
    <link th:href="@{~/assets/css/font-awesome.min.css}" href="assets/css/font-awesome.min.css" rel="stylesheet">
    <link th:href="@{~/assets/fonts/flaticon/flaticon.css}" href="assets/fonts/flaticon/flaticon.css" rel="stylesheet">
    <link th:href="@{~/assets/css/bootstrap.min.css}" href="assets/css/bootstrap.min.css" rel="stylesheet">
    <link th:href="@{~/assets/css/animate.css}" href="assets/css/animate.css" rel="stylesheet">
    <link th:href="@{~/assets/css/owl.carousel.css}" href="assets/css/owl.carousel.css" rel="stylesheet">
    <link th:href="@{~/assets/css/owl.theme.css}" href="assets/css/owl.theme.css" rel="stylesheet">
    <link th:href="@{~/assets/css/slick.css}" href="assets/css/slick.css" rel="stylesheet">
    <link th:href="@{~/assets/css/slick-theme.css}" href="assets/css/slick-theme.css" rel="stylesheet">
    <link th:href="@{~/assets/css/owl.transitions.css}" href="assets/css/owl.transitions.css" rel="stylesheet">
    <link th:href="@{~/assets/css/jquery.fancybox.css}" href="assets/css/jquery.fancybox.css" rel="stylesheet">
    <link th:href="@{~/assets/css/odometer-theme-default.css}" href="assets/css/odometer-theme-default.css"
          rel="stylesheet">
    <link th:href="@{~/assets/css/jquery.bxslider.min.css}" href="assets/css/jquery.bxslider.min.css" rel="stylesheet">
    <link th:href="@{~/assets/css/style.css}" href="assets/css/style.css" rel="stylesheet">
    <link th:href="@{~/assets/css/responsive.css}" href="assets/css/responsive.css" rel="stylesheet">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
    <script th:src="@{~/https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js}"
            src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script th:src="@{~/https://oss.maxcdn.com/respond/1.4.2/respond.min.js}"
            src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->

</head>

<body>

<!-- start page-wrapper -->
<div class="page-wrapper">

    <!-- start preloader -->
    <div class="preloader">
        <div class="lds-ripple">
            <div></div>
            <div></div>
        </div>
    </div>
    <!-- end preloader -->

    <!-- Start header -->
    <header id="header" class="site-header header-style-1">
        <a style="margin-left: 150px" class="navbar-brand" th:href="@{/}" href="#"><img src="../static/assets/images/our-logo.png" alt></a>
        <div th:insert="fragments/navbar.html"></div>
    </header>
    <!-- end of header -->
    <div class="service-page-style">
        <!-- start page-title -->
        <section class="page-title">
            <div class="container">
                <div class="row">
                    <div class="col col-xs-12">
                        <h2>Customers</h2>
                        <ol class="breadcrumb">
                            <li><a th:href="@{/}" href="#">Home</a></li>
                            <li>Customers</li>
                        </ol>
                    </div>
                </div> <!-- end row -->
            </div> <!-- end container -->
        </section>
        <!-- end page-title -->
    </div>

    <a style="margin-left: 43%;margin-top: 75px; margin-bottom: 50px" data-toggle="modal" data-target="#quoteModal" href="#"
       class="theme-btn-s2">Create Customer</a>

    <form th:action="@{/customers/sort}" th:object="${sort}"
          method="POST">
        <div class="grid-container-convert">
            <div class="item1">
                <select th:field="*{param}" id="inputWarehouse-parcel" class="form-control">
                    <option th:value='name-asc'>A-Z</option>
                    <option th:value='name-dsc'>Z-A</option>
                    <option th:value='date-dsc'>Newest Visit</option>
                    <option th:value='date-asc'>Oldest Visit</option>
                </select>
            </div>
            <div class="item2">
                <button type="submit" class="btn btn-primary">Sort</button>
            </div>
        </div>
    </form>

    <div class="row">
        <form th:object="${filterParams}" th:action="@{/customers/filter}" method="post">
            <div class="grid-sh-container">
                <div class="grid-sh-item1">
                    <label for="parameter-search">Parameter</label>
                    <input id="parameter-search" type="text" class="form-control"
                           placeholder="Search..." th:field="*{param}">
                </div>
                <div class="grid-sh-item2">
                    <label for="from-date-search">From Date:</label>
                    <input id="from-date-search"
                           name="from-date-search"
                           type="date" class="form-control" placeholder=""

                           th:field="*{fromDate}">
                </div>
                <div class="grid-sh-item3">
                    <label for="to-date-search">To Date:</label>
                    <input id="to-date-search"
                           name="to-date-search"
                           type="date" class="form-control" placeholder=""
                           th:field="*{toDate}">
                </div>
                <div class="grid-sh-item4">
                    <button type="submit" class="btn btn-primary">Filter</button>
                </div>
            </div>
        </form>
    </div>
    <!--    Modal starts-->
    <div class="modal fade" id="quoteModal" tabindex="-1"
         role="dialog"
         aria-labelledby="quoteModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span></button>
                    <h3 class="modal-title" id="quoteModalLabel">Please enter customer's data.</h3>
                </div>
                <div class="modal-body">
                    <form id="register-form" th:action="@{/customers/create}" th:object="${customerDto}"
                          onsubmit="return(validate());"
                          method="POST">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="register-firstname">First Name</label>
                                    <input id="register-firstname" name="register-firstname"
                                           type="text" class="form-control"
                                           required autofocus placeholder=""
                                           th:field="*{firstName}">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="register-lastname">Last Name</label>
                                    <input id="register-lastname" name="register-lastname"
                                           type="text"
                                           class="form-control" required placeholder=""
                                           th:field="*{lastName}">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="register-email">Email address</label>
                                    <input id="register-email" name="register-email" type="email" class="form-control"
                                           required placeholder=""
                                           th:field="*{email}">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="register-phone">Phone</label>
                                    <input id="register-phone" name="register-phone"
                                           type="text" class="form-control" required
                                           placeholder="0XXXXXXXXX"
                                           th:field="*{phone}">
                                    <span style="color: #be0003" id="error-phone"></span>
                                </div>
                            </div>
                        </div>
                        <button type="submit" class="btn btn-success">Create</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <!--    Modal ends-->
    <section style="margin-top: 50px" class="visits-list">
        <div class="visits-block">
            <div th:each="customer: ${customers}">
                <div class="visits-block-clearfix">
                    <div class="visit-icon">
                        <i class="flaticon-technician"></i>
                    </div>
                    <div class="visit-content">
                        <div class="element1">
                            <h3>First Name:</h3>
                            <p class="firstName" th:text="${customer.firstName}">First Name</p>
                        </div>
                        <div class="element1">
                            <h3>Last Name:</h3>
                            <div class="grid-div">
                                <p th:text="${customer.lastName}">Last Name</p>
                            </div>
                        </div>
                        <div class="element1">
                            <h3>Email:</h3>
                            <p th:text="${customer.credentials.email}">Email</p>
                        </div>
                        <div class="element1">
                            <h3>Phone:</h3>
                            <p th:text="${customer.phone}">Phone</p>
                        </div>
                        <div class="element1">
                            <a id="vehicles_button" th:href="@{/vehicles/customerId/{id}(id=${customer.id})}"
                               class="btn btn-primary">Vehicles</a>
                        </div>
                        <div class="element1">
                            <a th:href="@{/visits/customerId/{id}(id=${customer.id})}"
                               class="btn btn-primary">Visits</a>
                        </div>
                    </div>

                    <a th:href="@{/customers/delete/{id}(id=${customer.id})}"
                       class="btn btn-danger">Delete
                    </a>
                    <button data-toggle="modal" data-target="#quoteModal-update" type="submit"
                            class="btn btn-warning"
                            href="#"> Update
                    </button>
                </div>
                <div>
                    <div class="modal fade" id="quoteModal-update" tabindex="-1"
                         role="dialog"
                         aria-labelledby="quoteModalLabel-update" aria-hidden="true">
                        <div class="modal-dialog modal-lg">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h3 class="modal-title" id="quoteModalLabel-update">Update</h3>
                                </div>
                                <div class="modal-body">
                                    <form id="register-form-update"
                                          th:action="@{/customers/update/{id}(id=${customer.id})}"
                                          th:object="${customerDto}"
                                          onsubmit="return(validateForUpdate());"
                                          method="POST">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="register-firstname-update">First Name</label>
                                                    <input id="register-firstname-update" name="register-firstname"
                                                           type="text" class="form-control"
                                                           required autofocus placeholder=""
                                                           th:text="${customer.firstName}"
                                                           th:field="*{firstName}">
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="register-lastname-update">Last Name</label>
                                                    <input id="register-lastname-update" name="register-lastname"
                                                           type="text"
                                                           class="form-control" required placeholder=""
                                                           th:text="${customer.lastName}"
                                                           th:field="*{lastName}">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label for="update-phone">Phone</label>
                                                        <input id="update-phone" name="update-phone"
                                                               type="text" class="form-control" required
                                                               placeholder="0XXXXXXXXX"
                                                               th:text="${customer.phone}"
                                                               th:field="*{phone}">
                                                        <span style="color: #be0003" id="error-phone-update"></span>
                                                    </div>
                                                </div>
                                            </div>
                                            <button type="submit" class="btn btn-success">Update</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
<!-- end of page-wrapper -->


<!-- All JavaScript files
================================================== -->
<script th:src="@{~/assets/js/jquery.min.js}" src="assets/js/jquery.min.js"></script>
<script th:src="@{~/assets/js/bootstrap.min.js}" src="assets/js/bootstrap.min.js"></script>

<!-- Plugins for this template -->
<script th:src="@{~/assets/js/jquery-plugin-collection.js}" src="assets/js/jquery-plugin-collection.js"></script>

<!-- Custom script for this template -->
<script th:src="@{~/assets/js/script.js}" src="assets/js/script.js"></script>
</body>
</html>

<script type="text/javascript">
    function validate() {
        var phone = document.getElementById('register-phone').value;
        var regex = /^[0][8][0-9]{8}$/;
        var phoneTest = regex.test(phone);
        if (phoneTest === false) {
            document.getElementById('error-phone').innerHTML = "Phone must be in format 08XXXXXXXX";
            return false;
        }
    }
</script>
<script type="text/javascript">
    function validateForUpdate() {
        var phone = document.getElementById('update-phone').value;
        var regex = /^[0][8][0-9]{8}$/;
        var phoneTest = regex.test(phone);
        if (phoneTest === false) {
            document.getElementById('error-phone-update').innerHTML = "Phone must be in format 08XXXXXXXX";
            return false;
        }
    }
</script>